Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "59e15e7d-bbd9-495a-bef2-aa488f889f41",
  "jobs_id": "2edf45be-f3b2-448f-a2a5-03c6bacff170",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "2a60e5db-0abd-4e19-ad88-d88349e274aa",
    "_parent_id": "d48e36b5-7ac0-41f5-a726-b02a2cddf98e",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "15755d17-6e9c-4a54-a139-ab59b9a5b946",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "2f8b53fd-8160-4790-a3c8-b323a654eed8",
      "_parent_id": "9aa7b16a-b765-4715-89ac-fa90d04257b1",
      "root_parent_id": "d5bede36-f079-4dc4-97a8-f5e9711e1b45",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "9417a821-7ad5-44ca-933c-59ff9d48edb8",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "2275d30a-6950-4655-ab4a-f103a5d52d80",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "c6975b79-f374-418a-9f85-15d03d61b01e",
        "_parent_code": "sample string 6",
        "sales_organization_id": "eec30310-91bf-4981-a027-4aa218690029",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "86884ed2-433f-4b30-830f-57e382b5fc0f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "5477517f-b9e5-4ccb-8b0a-1948c884d263",
          "db_currency_id": "bfe318b2-b1d2-4d1a-9ac5-ddbc9e6ea818",
          "db_language_id": "0d728eef-74d8-4c80-99a3-c14fa868ccd5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-11T22:41:39.4646971+00:00"
        },
        "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
      },
      "equipment_model_id": "c75f5f16-df0c-4223-8009-d1bcdb8afe0a",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "c9585f9c-4e9a-4d65-8449-35a80eac6f49",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "ef932810-772e-4083-859e-ece0656ea163",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "b31846f7-cf90-482b-9acb-08d473689df9",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "0e883ae1-6e6c-49df-8f60-415892e560b8",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "86884ed2-433f-4b30-830f-57e382b5fc0f",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "5477517f-b9e5-4ccb-8b0a-1948c884d263",
            "db_currency_id": "bfe318b2-b1d2-4d1a-9ac5-ddbc9e6ea818",
            "db_language_id": "0d728eef-74d8-4c80-99a3-c14fa868ccd5",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-11T22:41:39.4646971+00:00"
          },
          "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
        },
        "equipment_family_id": "9a7c144f-79bc-40ff-8deb-6e1d4f67b5de",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "2275d30a-6950-4655-ab4a-f103a5d52d80",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "c6975b79-f374-418a-9f85-15d03d61b01e",
          "_parent_code": "sample string 6",
          "sales_organization_id": "eec30310-91bf-4981-a027-4aa218690029",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "86884ed2-433f-4b30-830f-57e382b5fc0f",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "5477517f-b9e5-4ccb-8b0a-1948c884d263",
            "db_currency_id": "bfe318b2-b1d2-4d1a-9ac5-ddbc9e6ea818",
            "db_language_id": "0d728eef-74d8-4c80-99a3-c14fa868ccd5",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-11T22:41:39.4646971+00:00"
          },
          "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
        },
        "date_in_production_since": "2026-11-11T22:41:39.4840781+00:00",
        "date_out_of_production_since": "2026-11-11T22:41:39.4840781+00:00",
        "date_end_support": "2026-11-11T22:41:39.4840781+00:00",
        "sales_organization_id": "a3fa1e96-ae54-42e1-8962-1dd326dbd9fd",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "86884ed2-433f-4b30-830f-57e382b5fc0f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "5477517f-b9e5-4ccb-8b0a-1948c884d263",
          "db_currency_id": "bfe318b2-b1d2-4d1a-9ac5-ddbc9e6ea818",
          "db_language_id": "0d728eef-74d8-4c80-99a3-c14fa868ccd5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-11T22:41:39.4646971+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
      },
      "project_status_id": "692d814a-2ad4-4a9d-a680-7f027f1cea22",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "8c2418de-51a1-434a-993d-fa7cad66b0cb",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "4d591cb1-2adb-4afa-a67c-700ba15074b3",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "86884ed2-433f-4b30-830f-57e382b5fc0f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "5477517f-b9e5-4ccb-8b0a-1948c884d263",
          "db_currency_id": "bfe318b2-b1d2-4d1a-9ac5-ddbc9e6ea818",
          "db_language_id": "0d728eef-74d8-4c80-99a3-c14fa868ccd5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-11T22:41:39.4646971+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
      },
      "company_id": "8af232d9-91f5-439e-b897-2ca42c854121",
      "company_code": "sample string 12",
      "db_address_id": "78cfb2b6-1e20-4a2a-99a1-15e920ae03b1",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "5730314f-665d-4cf3-a62b-49fb4ab009a8",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "006e8870-c526-419e-b182-49a2719fdb74",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-11T22:41:39.4840781+00:00",
      "date_create": "2026-11-11T22:41:39.4840781+00:00",
      "date_update": "2026-11-11T22:41:39.4840781+00:00",
      "updated_by_user_id": "e60798f8-a72b-4da6-8a9c-16aff2a7b13c",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-11T22:41:39.4840781+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-11T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-11T22:41:39.4840781+00:00",
      "date_last_job": "2026-11-11T22:41:39.4840781+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-11T22:41:39.4840781+00:00",
      "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "faaf6293-f735-475a-b899-6b360595ebe5",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "e39187fe-2ad2-4edd-b300-924b9bb20276",
      "name": "sample string 2",
      "sales_organization_id": "2caa555a-187d-4c76-8722-c15d7850e888",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "e4667059-0c72-4d23-915a-2478cbb3c31a",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "22ab31a4-26d9-4d1e-9b6f-583ae766c8ad",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "4c95e715-c6ec-41ac-b564-0deffd1af037",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "86884ed2-433f-4b30-830f-57e382b5fc0f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "5477517f-b9e5-4ccb-8b0a-1948c884d263",
        "db_currency_id": "bfe318b2-b1d2-4d1a-9ac5-ddbc9e6ea818",
        "db_language_id": "0d728eef-74d8-4c80-99a3-c14fa868ccd5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-11T22:41:39.4646971+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
    },
    "job_status_id": "5b3d3ed4-58fa-4f50-a827-d71af0f08fca",
    "job_status_code": "sample string 11",
    "db_address_id": "f58443e0-adfd-4451-a805-90f339fa7405",
    "contact_id": "7c847708-7e9d-48d4-9d3e-cda576b5ef96",
    "requested_by_company_id": "ab105616-271b-45d2-b140-3aa8ec3ae53d",
    "requested_by_contact_id": "b107e44c-f201-46a0-bf90-aededad48d52",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-11T22:41:39.4840781+00:00",
    "due_date": "2026-11-11T22:41:39.4840781+00:00",
    "date_create": "2026-11-11T22:41:39.4840781+00:00",
    "date_update": "2026-11-11T22:41:39.4840781+00:00",
    "date_closed": "2026-11-11T22:41:39.4840781+00:00",
    "suggested_user_id": "53524d50-bdfe-4b09-b685-c132a41553ac",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "3299632a-e415-4db0-acf5-57168364d5d3",
      "db_language_id": "ed9a7478-2b20-48dd-8a59-4f95b0bf3aa5",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-11T22:41:39.4840781+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "acf5edab-49dd-4f23-ab8c-6374e3bcd527",
      "sales_organization": {
        "id": "86884ed2-433f-4b30-830f-57e382b5fc0f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "5477517f-b9e5-4ccb-8b0a-1948c884d263",
        "db_currency_id": "bfe318b2-b1d2-4d1a-9ac5-ddbc9e6ea818",
        "db_language_id": "0d728eef-74d8-4c80-99a3-c14fa868ccd5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-11T22:41:39.4646971+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "7ef7bf69-25f9-474b-8d79-2af08339f06b",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "696a8651-71d5-456a-abac-a1a9393bd360",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "c8a69ce0-a31d-4270-ae65-812c1c7c10e1"
    },
    "suggested_date_start": "2026-11-11T22:41:39.4840781+00:00",
    "skill_id": "683f0e9d-1016-4ecd-b69b-b748bb5e4f24",
    "skill_code": "sample string 32",
    "skill": {
      "id": "a74abe17-26ac-494d-a2d6-11a6b91d27c5",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "092a3209-7cb2-4c72-b10f-4dc31b146205",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "86884ed2-433f-4b30-830f-57e382b5fc0f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "5477517f-b9e5-4ccb-8b0a-1948c884d263",
        "db_currency_id": "bfe318b2-b1d2-4d1a-9ac5-ddbc9e6ea818",
        "db_language_id": "0d728eef-74d8-4c80-99a3-c14fa868ccd5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-11T22:41:39.4646971+00:00"
      },
      "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "08ec1a8f-4983-49de-b5f9-6b1cf01e8b5e",
    "date_reported_by_company": "2026-11-11T22:41:39.4840781+00:00",
    "id2": 36,
    "company_id": "6a4b98be-0a57-4a11-973d-412273b42421",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "87599d1c-2e14-4587-86ca-dbda6d069384",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
  },
  "work_instruction_details_id": "ef42c087-f728-44b0-b383-6c9ddedff65b",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "981f7cf2-c553-48c3-abef-8bf189d5a3a6",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "257e0716-f14b-4bca-bec0-ce5ce5160edf",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-11T22:41:39.4840781+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "627a8e1a-7d49-4b2d-afe5-d6c137c51851",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-11T22:41:39.4840781+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.